Get Blog Post RSS Feed
curl --request GET \
--url https://api.example.com/blog/{public_slug}/feedimport requests
url = "https://api.example.com/blog/{public_slug}/feed"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/blog/{public_slug}/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Blog
Get Blog Post RSS Feed
Get a published blog post as an RSS 2.0 feed item
GET
/
blog
/
{public_slug}
/
feed
Get Blog Post RSS Feed
Returns a single published blog post formatted as an RSS 2.0 XML feed. This endpoint does not require authentication.
Path Parameters
string
required
The unique public slug of the blog post.
Request
curl -X GET "https://app.shipstar.ai/api/v1/blog/weekly-update-march-31-2025/feed"
const slug = 'weekly-update-march-31-2025';
const response = await fetch(`https://app.shipstar.ai/api/v1/blog/${slug}/feed`);
const rss = await response.text();
import requests
slug = 'weekly-update-march-31-2025'
response = requests.get(f'https://app.shipstar.ai/api/v1/blog/{slug}/feed')
rss = response.text
Response
Returns an RSS 2.0 XML document withContent-Type: application/xml.
Errors
| Status | Description |
|---|---|
| 404 | Blog post not found or not published |
| 422 | Invalid slug format |
Was this page helpful?
⌘I